Bug 45064 - egrep fails to pars regular expression
Summary: egrep fails to pars regular expression
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: grep   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-19 23:42 UTC by Jaroslaw Sosnicki
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-19 23:42:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslaw Sosnicki 2001-06-19 23:42:12 UTC
Description of Problem:

grep-2.5e-4.i386.rpm egrep is failing to parse requlare expression.
in the form [a-z0-9]

example:
echo '1abc.c'| egrep -e '[0-9]*\.c'     --- Works
echo '1abc.c'| egrep -e '[0-9a-z]*\.c'  --- Error!!! No output
echo '1abc.c'| egrep -e '[a-z]*\.c'     --- Works

Version grep-2.5e-2.i386.rpm works.

How Reproducible:

echo '1abc.c'| egrep -e '[0-9]*\.c'     --- Works

echo '1abc.c'| egrep -e '[0-9a-z]*\.c'  --- Error!!! No output

echo '1abc.c'| egrep -e '[a-z]*\.c'     --- Works

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Bernhard Rosenkraenzer 2001-06-26 17:10:28 UTC
Fixed by going back to 2.4.2



Note You need to log in before you can comment on or make changes to this bug.